Subject: Re: [PATCH net-next 4/7] netfilter: Exclude LEGACY TABLES on PREEMPT_RT.

From: Florian Westphal <[email-masked]>
Date: Wed, 23 Apr 2025 16:49:14 +0200

Florian Westphal <[email-masked]> wrote:
> I can have a look, likely there needs to a a patch before this one
> that adds a few explicit CONFIG_ entries rather than replying on
> implicit =y|m.

Pablo, whats the test suite expectation?

The netfilter tests pass when iptables is iptables-nft, but not
when iptables is iptables-legacy.

I can either patch them and replace iptables with iptables-nft
everywhere or I an update config so that iptables-legacy works too.

Unless you feel different, I will go with b) and add the needed
legacy config options.

net tests are a different issue, they fail regardless of iptables-nft or
legacy, looking at that now.